Package org.eclipse.net4j.db.ddl.delta

## Class IDBDeltaVisitor.Filter.Policy

- java.lang.Object
- - org.eclipse.net4j.db.ddl.delta.IDBDeltaVisitor.Filter.Policy

- All Implemented Interfaces:
    `java.io.Serializable`
  Enclosing class:
    IDBDeltaVisitor.Filter

      public static final class IDBDeltaVisitor.Filter.Policy
      extends java.lang.Object
      implements java.io.Serializable

  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.Object` | `ALLOWED` |
    `static java.lang.Object` | `FORBIDDEN` |
    `static java.lang.Object` | `IGNORED` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Policy()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IDBDeltaVisitor.Filter.Policy` | `allow​(IDBDelta.ChangeKind changeKind)` |
    `IDBDeltaVisitor.Filter.Policy` | `allow​(IDBDelta.DeltaType deltaType)` |
    `IDBDeltaVisitor.Filter.Policy` | `allow​(IDBDelta.DeltaType deltaType, IDBDelta.ChangeKind changeKind)` |
    `IDBDeltaVisitor.Filter.Policy` | `allowAll()` |
    `IDBDeltaVisitor.Filter.Policy` | `forbid​(IDBDelta.ChangeKind changeKind)` |
    `IDBDeltaVisitor.Filter.Policy` | `forbid​(IDBDelta.DeltaType deltaType)` |
    `IDBDeltaVisitor.Filter.Policy` | `forbid​(IDBDelta.DeltaType deltaType, IDBDelta.ChangeKind changeKind)` |
    `IDBDeltaVisitor.Filter.Policy` | `forbidAll()` |
    `IDBDeltaVisitor.Filter.Policy` | `freeze()` |
    `IDBDeltaVisitor.Filter.Policy` | `ignore​(IDBDelta.ChangeKind changeKind)` |
    `IDBDeltaVisitor.Filter.Policy` | `ignore​(IDBDelta.DeltaType deltaType)` |
    `IDBDeltaVisitor.Filter.Policy` | `ignore​(IDBDelta.DeltaType deltaType, IDBDelta.ChangeKind changeKind)` |
    `IDBDeltaVisitor.Filter.Policy` | `ignoreAll()` |
    `boolean` | `isAllowed​(IDBDelta delta)` |
    `boolean` | `isAllowed​(IDBDelta.ChangeKind changeKind)` |
    `boolean` | `isAllowed​(IDBDelta.DeltaType deltaType)` |
    `boolean` | `isAllowed​(IDBDelta.DeltaType deltaType, IDBDelta.ChangeKind changeKind)` |
    `boolean` | `isForbidden​(IDBDelta delta)` |
    `boolean` | `isForbidden​(IDBDelta.ChangeKind changeKind)` |
    `boolean` | `isForbidden​(IDBDelta.DeltaType deltaType)` |
    `boolean` | `isForbidden​(IDBDelta.DeltaType deltaType, IDBDelta.ChangeKind changeKind)` |
    `boolean` | `isIgnored​(IDBDelta delta)` |
    `boolean` | `isIgnored​(IDBDelta.ChangeKind changeKind)` |
    `boolean` | `isIgnored​(IDBDelta.DeltaType deltaType)` |
    `boolean` | `isIgnored​(IDBDelta.DeltaType deltaType, IDBDelta.ChangeKind changeKind)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ALLOWED

          public static final java.lang.Object ALLOWED

    - #### FORBIDDEN

          public static final java.lang.Object FORBIDDEN

    - #### IGNORED

          public static final java.lang.Object IGNORED

  - ### Constructor Detail

    - #### Policy

          public Policy()

  - ### Method Detail

    - #### isAllowed

          public boolean isAllowed​(IDBDelta.DeltaType deltaType)

    - #### isAllowed

          public boolean isAllowed​(IDBDelta.ChangeKind changeKind)

    - #### isAllowed

          public boolean isAllowed​(IDBDelta.DeltaType deltaType,
                                   IDBDelta.ChangeKind changeKind)

    - #### isAllowed

          public boolean isAllowed​(IDBDelta delta)

    - #### isForbidden

          public boolean isForbidden​(IDBDelta.DeltaType deltaType)

    - #### isForbidden

          public boolean isForbidden​(IDBDelta.ChangeKind changeKind)

    - #### isForbidden

          public boolean isForbidden​(IDBDelta.DeltaType deltaType,
                                     IDBDelta.ChangeKind changeKind)

    - #### isForbidden

          public boolean isForbidden​(IDBDelta delta)

    - #### isIgnored

          public boolean isIgnored​(IDBDelta.DeltaType deltaType)

    - #### isIgnored

          public boolean isIgnored​(IDBDelta.ChangeKind changeKind)

    - #### isIgnored

          public boolean isIgnored​(IDBDelta.DeltaType deltaType,
                                   IDBDelta.ChangeKind changeKind)

    - #### isIgnored

          public boolean isIgnored​(IDBDelta delta)

    - #### allow

          public IDBDeltaVisitor.Filter.Policy allow​(IDBDelta.DeltaType deltaType)

    - #### allow

          public IDBDeltaVisitor.Filter.Policy allow​(IDBDelta.ChangeKind changeKind)

    - #### allow

          public IDBDeltaVisitor.Filter.Policy allow​(IDBDelta.DeltaType deltaType,
                                                     IDBDelta.ChangeKind changeKind)

    - #### allowAll

          public IDBDeltaVisitor.Filter.Policy allowAll()

    - #### forbid

          public IDBDeltaVisitor.Filter.Policy forbid​(IDBDelta.DeltaType deltaType)

    - #### forbid

          public IDBDeltaVisitor.Filter.Policy forbid​(IDBDelta.ChangeKind changeKind)

    - #### forbid

          public IDBDeltaVisitor.Filter.Policy forbid​(IDBDelta.DeltaType deltaType,
                                                      IDBDelta.ChangeKind changeKind)

    - #### forbidAll

          public IDBDeltaVisitor.Filter.Policy forbidAll()

    - #### ignore

          public IDBDeltaVisitor.Filter.Policy ignore​(IDBDelta.DeltaType deltaType)

    - #### ignore

          public IDBDeltaVisitor.Filter.Policy ignore​(IDBDelta.ChangeKind changeKind)

    - #### ignore

          public IDBDeltaVisitor.Filter.Policy ignore​(IDBDelta.DeltaType deltaType,
                                                      IDBDelta.ChangeKind changeKind)

    - #### ignoreAll

          public IDBDeltaVisitor.Filter.Policy ignoreAll()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### freeze

          public IDBDeltaVisitor.Filter.Policy freeze()